<!-- about.html -->
{% extends "index.html" %}
{% block content %}
    <div style="text-align: center; margin-top: 20px;">
        <h1>Chọn ảnh và background</h1>
        <form action="{{ url_for('upload') }}" method="post" enctype="multipart/form-data" style="margin-bottom: 20px;">
            <!-- Input cho việc tải lên ảnh -->
            <label for="upload-input" id="upload-label" style="display: block; margin-bottom: 10px;">
                <input type="file" name="photo" accept="image/*" id="upload-input" onchange="displayImage('uploaded-image', this)">
                <img src="{{ url_for('static', filename='placeholder.png') }}" alt="Upload Image" id="uploaded-image" width="100" height="100" style="margin-top: 10px;">
            </label>

            <!-- Input cho việc chọn background -->
            <div class="scrollable-view">
        <div class="content">
            <div style="display: flex; flex-wrap: wrap; justify-content: center;">
                {% for image_file in image_files %}
                    <label for="{{ image_file }}" style="margin: 5px;">
                        <img src="{{ url_for('static', filename='background/' + image_file) }}" alt="{{ image_file }}" width="100" height="100" id="{{ 'background-' + image_file }}">
                        <input type="radio" id="{{ image_file }}" name="selected_background" value="{{ image_file }}" onclick="displayImage('selected-background', this)">
                    </label>
                {% endfor %}
            </div>
            </div>
            </div>

            <!-- Trường ẩn để giữ đường dẫn của ảnh đã tải lên -->
            <input type="hidden" name="photo_path" id="hidden-photo-path" value="{{ photo_path }}">

            <!-- Trường ẩn để giữ tên của background đã chọn -->
            <input type="hidden" name="selected_background_name" id="hidden-selected-background" value="{{ selected_background }}">

            <!-- Nút submit để gửi form -->
            <input type="submit" value="Xác nhận">
        </form>
    </div>

    <h1 style="text-align: center;">Ảnh và Background đã chọn</h1>
    <div id="selected-images" style="text-align: center;">
        {% if photo_path %}
            <div style="margin-bottom: 20px;">
                <p>Ảnh tải lên:</p>
                <p>{{ photo_path }}</p>
                <img src="{{ url_for('static', filename='images/' + photo_path) }}" alt="Uploaded Image" id="selected-uploaded-image" width="100" height="100">
            </div>
        {% endif %}

        {% if selected_background %}
            <div>
                <p>Background đã chọn:</p>
                <p>{{ selected_background }}</p>
                <img src="{{ url_for('static', filename='background/' + selected_background) }}" alt="Selected Background" id="selected-background-image" width="100" height="100">
            </div>
        {% endif %}
    </div>

    <div style="text-align: center; margin-top: 20px;">
        <form action="{{ url_for('ghepanh') }}" method="post" enctype="multipart/form-data">
            <input type="hidden" name="selected_background" value="{{ selected_background }}">
            <input type="hidden" name="photo_path" value="{{ photo_path }}">

            <input type="submit" value="Xác nhận ghép ảnh">

        </form>
    </div>

    <h1 style="text-align: center; margin-top: 20px;">Kết quả</h1>
    <div style="text-align: center;">
        {% if result_path %}
            <p>Đường dẫn ảnh mới: {{ result_path }}</p>
            <img src="{{ url_for('static', filename='result/result.jpg') }}" alt="Result Image" style="width: 70%; height: 70%;">
        {% endif %}
    </div>
{% endblock %}
